Mailrelay API Reference

Update a campaign

PATCH https://{account}/api/v1/campaigns/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Update a campaign

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record
sender_id integer No Sender
subject string No Subject
preview_text string No Preview text
html string No HTML
target string No Allows you to specify to whom this campaign will be sent
segment_id integer No Segment id. This is required if target is set to segment
group_ids array No Groups IDs. This is required if target is set to groups. It should be an array of group ids. Example: [1, 4, 5]
campaign_folder_id integer No Campaign folder
url_token boolean No Add legacy tokens to URLs
analytics_utm_campaign string No Google Analytics™ campaign
use_premailer boolean No Apply common fixes for email clients
reply_to string No Reply-To email
track_opens boolean No Track opens
track_clicks boolean No Track clicks

Responses

StatusDescription
200 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
subject string Subject
sender_id integer Sender
reply_to string Reply-To email
campaign_folder_id integer Campaign folder
target string Allows you to specify to whom this campaign will be sent
segment_id integer Segment id. This is required if target is set to segment
group_ids array Groups IDs. This is required if target is set to groups. It should be an array of group ids. Example: [1, 4, 5]
preview_text string Preview text
html string HTML
editor_type string The type of editor being used for the campaign: html, mr ( our new block editor) or simple ( a legacy block editor ). Campaigns created in API automatically use "html" editor. Please note that it's not possible to update the html content of a campaign that uses a block editor.
url_token boolean Add legacy tokens to URLs
analytics_utm_campaign string Google Analytics™ campaign
use_premailer boolean Apply common fixes for email clients
track_opens boolean Track opens
track_clicks boolean Track clicks